[PC-BSD Commits] r6866 - in pcbsd: current/pc-sysinstall/backend stable/pc-sysinstall/backend
svn at pcbsd.org
svn at pcbsd.org
Fri Jun 4 07:56:44 PDT 2010
Author: kris
Date: 2010-06-04 07:56:44 -0700 (Fri, 04 Jun 2010)
New Revision: 6866
Modified:
pcbsd/current/pc-sysinstall/backend/functions-upgrade.sh
pcbsd/stable/pc-sysinstall/backend/functions-upgrade.sh
Log:
Small fix to mounting function of ZFS partitions, in case the zpool name is a valid device
Modified: pcbsd/current/pc-sysinstall/backend/functions-upgrade.sh
===================================================================
--- pcbsd/current/pc-sysinstall/backend/functions-upgrade.sh 2010-06-03 21:24:11 UTC (rev 6865)
+++ pcbsd/current/pc-sysinstall/backend/functions-upgrade.sh 2010-06-04 14:56:44 UTC (rev 6866)
@@ -15,7 +15,11 @@
BKFILES="/etc/rc.conf /boot/loader.conf"
if [ -e "/dev/${MPART}" ] ; then
- rc_halt "mount /dev/${MPART} ${FSMNT}"
+ rc_nohalt "mount /dev/${MPART} ${FSMNT}"
+ if [ "$?" != "0" ] ; then
+ # Check if we have ZFS tank name
+ rc_halt "mount -t zfs ${MPART} ${FSMNT}"
+ fi
else
# Check if we have ZFS tank name
rc_halt "mount -t zfs ${MPART} ${FSMNT}"
Modified: pcbsd/stable/pc-sysinstall/backend/functions-upgrade.sh
===================================================================
--- pcbsd/stable/pc-sysinstall/backend/functions-upgrade.sh 2010-06-03 21:24:11 UTC (rev 6865)
+++ pcbsd/stable/pc-sysinstall/backend/functions-upgrade.sh 2010-06-04 14:56:44 UTC (rev 6866)
@@ -15,7 +15,11 @@
BKFILES="/etc/rc.conf /boot/loader.conf"
if [ -e "/dev/${MPART}" ] ; then
- rc_halt "mount /dev/${MPART} ${FSMNT}"
+ rc_nohalt "mount /dev/${MPART} ${FSMNT}"
+ if [ "$?" != "0" ] ; then
+ # Check if we have ZFS tank name
+ rc_halt "mount -t zfs ${MPART} ${FSMNT}"
+ fi
else
# Check if we have ZFS tank name
rc_halt "mount -t zfs ${MPART} ${FSMNT}"
More information about the Commits
mailing list